Bug 1572066

Summary: Admin portal - Clusters - New - workflow - Post-copy Migration Policy has untranslated message
Product: [oVirt] ovirt-engine Reporter: Krishna Babu K <kkrothap>
Component: Frontend.WebAdminAssignee: Lucia Jelinkova <ljelinko>
Status: VERIFIED --- QA Contact: Pavel Novotny <pnovotny>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.2.0CC: ahadas, bbarve, bugs, dfodor, gdeolive, kkrothap, sbonazzo
Target Milestone: ovirt-4.4.7Keywords: i18n, Translation
Target Release: 4.4.7Flags: pm-rhel: ovirt-4.4+
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: ovirt-engine-4.4.7.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-27 13:09:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Virt RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1961396    
Bug Blocks:    
Attachments:
Description Flags
Translation available now none

Description Krishna Babu K 2018-04-26 06:31:40 UTC
Description of problem:
Following string is not localized:

"Post-copy migration 
The VM should not experience any significant downtime. If the VM migration is not converging for a long time, the migration will be switched to post-copy. The guest agent hook mechanism is enabled."


Version-Release number of selected component (if applicable):
RHV 4.2

How reproducible:
Always

Steps to Reproduce:
1. Go to Welcome page > Administration Portal and login with Admin credentials 
2. Go to Clusters tab 
3. Click on New > workflow (Migration Policy), Select the Post-copy Migration Policy, Following string is not localized:

"Post-copy migration 
The VM should not experience any significant downtime. If the VM migration is not converging for a long time, the migration will be switched to post-copy. The guest agent hook mechanism is enabled."

Actual results:
Translation not present

Expected results:
Translation should present

Additional info:
Not found in zanata to translate

Comment 1 Yuko Katabami 2020-11-21 01:56:03 UTC
Hi @sandro.bonazzola@gmail.com,
This string is not pushed to Zanata.
Could you please assign it to the relevant engineering team so that it can be internationalized and localized?

Comment 2 Sandro Bonazzola 2020-11-26 10:37:11 UTC
Arik can you please have a look?

Comment 3 Arik 2020-11-26 14:18:43 UTC
It's not a trivial change - this string is inserted directly to the database (vdc_options) so there's some work needed in order to it possible to localize it

Comment 5 Arik 2021-05-27 13:09:34 UTC
We've made it translatable by adding the message to LocalizedMigrationPolicies.properties.
From here, it's up to community to translate it

Comment 6 Arik 2021-05-27 16:27:28 UTC
It was translated!

Comment 7 Arik 2021-06-07 10:38:41 UTC
Note that this one depends on bz 1961396 which is still in POST

Comment 8 Krishna Babu K 2021-06-11 13:47:34 UTC
Created attachment 1790240 [details]
Translation available now

Verified on 4.4.7.3-0.3.
Translation is present.